Subject: Re: Advertising the Git User's Survey 2011

From: Jakub Narebski <[email-masked]>
Date: Sun, 3 Oct 2010 16:55:36 +0200

On Sun, 3 Oct 2010, Ramkumar Ramachandra wrote:
> Jakub Narebski writes:
> > On Sat, 2 Oct 2010, Ramkumar Ramachandra wrote:

[...]
> Perhaps we can email survs.com and ask them?

Should I do it, or would you do it?

[...]
> > We could also write how much time it takes on average to fill the survey.
> 
> Sounds good.

Note however that such information is available only after survey is
opened for a bit (unless we use test run statistics).

> > > The average time spent on the survery is 34 minutes

[...]
> > The other side of removing options from "13. Which git hosting site(s)
> > do you use for your project(s)?" is that when sending requests to 
> > announce the survey to those git hosting sites that are not on this
> > list, some of them requested to be added (which is impossible after
> > starting the survey; and before survey begins it is little sense to
> > send announcements).
> 
> I see. How are we going to tackle this in future?
> 
> > Besides all of those below 1% rounded (Codesion, GitFarm, The Chaw,
> > CipherHive) are also those that I didn't get response to request for
> > announcing Git User's Survey 2010...
> 
> Interesting.

We can always remove (and do not add) those choices for which we don't
get much responses for, and which do not respond to attemts to contact.  
Conversely, we probably should add those git hosting sites that we have
many replies in the "other, please specify".

> > We could make it more organized though, e.g. by sorting list of options
> > alphabetically, or something like that.
> 
> Sounds good.

Will do, perhaps starting with repo.or.cz (first site), GitHub (most
popular), Gitorious and perhaps Gitolite (OSS engine), and ending with
non-generic sites such as git.kernel.org, Alioth, Fedora Hosted, etc.

> > > 1. Country of residence: we can probably make this a nice click-on-map
> > >    interface as opposed to freeform text. It'll be more useful to us,
> > >    and more interesting to users when we advertise the results.
> > 
> > It would be nice to have click-on-map (Google Maps or Bing Maps based),
> > something like Ohloh provides, resulting in map of survey responders
> > similar to the map of git users and git contributors on Ohloh
> > 
> >   http://www.ohloh.net/p/git/map
> > 
> > it isn't something that Survs.com offers currently.  I can only ask for
> > it to be provided...
> > 
> > 
> > Another solution would be to have pre-filled combo box (<select> field)
> > with the list of countries to choose from, with GeoIP ised to pre-select
> > the country.  I can generate list of all countries myself
> > 
> >   $ perl -MLocale::Country \
> >     -wle 'print join("\n", sort (all_country_names()))'
> > 
> > as far as I know Survs.com doesn't offer GeoIP nor any API to hook it
> > to survey questions.
> 
> I suppose we could always work out a way to display the results from
> the information Survs.com gives us.

Do you have any idea how to display such geographical information, and
what tool to use for that visualization?

> > > 2. Age: Maybe we restrict the input to 2-digit integers and draw a
> > >    graph with all these integers to show a mean, median etc?
> > 
> > Restricting input doesn't give us much.
> 
> I just meant it as a sanity check in case people enter "34 years old"
> and the like.

We can quite easily parse this, see below.

> > There is nice histogram of responder's age for Git User's Survey 2009
> > 
> >   https://git.wiki.kernel.org/index.php/GitSurvey2009#02._How_old_are_you_.28in_years.29.3F
> > 
> > and tabularization of responses.  We can calculate mean, median, mode
> > (aka modal score, i.e. most common response), perhaps after eliminating
> > outliers, but would it give us much information?
> 
> Nice histogram! How did we manage to do this in 2009? Did we use a
> custom-made application to do the survey?

I used a Perl script, which uses Text::CSV to parse data exported from
Survs.com in CSV format (and PerlIO::gzip to not have to decompress it).
Each survey page on Git Wiki, except for the very first survey, contains
link to file with such exported data.

For example for age it extracts digits from the response, and assumes
that it is number of years.  It also creates this nice table of ranges
that you can see in the mentioned section of GitSurvey2009 page.

I can publish this script, e.g. the one used for 2009 survey on the
GitSurvey2009 page, but it is rough'n'dirty script.

> > > Of course, I understand that there must be some technical constraints
> > > due to which some things are not implementable (eg. survs doesn't
> > > provide the feature?), but I've not taken that into consideration.
> > 
> > Note that as it currently stands we can use Survs.com account only for
> > 2011 survey, provided that it is done earlier than this year (perhaps
> > 1 June -- 31 July?), as our Premium account which we got thanks to 
> > generosity of Survs.com admins (after Survs.com got out of beta) will
> > downgrade to the Free plan (which is offersn much too low limits)
> > on Sep 22, 2011.
> 
> I see. Any thoughts on long-term plans? Do we pay for the premium
> account or do we build a custom application?

Dunno.

-- 
Jakub Narebski
Poland